import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.bdware.irp.client.IrpClientImpl;
import org.bdware.irp.exception.IrpClientException;
import org.bdware.irp.stateinfo.StateInfoBase;
import org.junit.Test;

public class IrpTest {
    static Logger LOGGER = LogManager.getLogger(IrpTest.class);

    @Test
    public void resolve() {
        IrpClientImpl client = new IrpClientImpl();
        client.connect("tcp://112.74.48.247:21044");
        try {
            StateInfoBase result = client.resolve("bdtest.gd/dddd");
            LOGGER.info(result.handleValues.toString());
        } catch (IrpClientException e) {
            throw new RuntimeException(e);
        }
    }
}
